%define name	tidy
%define version 20090904
%define subrel	1
%define release %mkrel 6
%define epoch	1
%define apiver	0.99
%define major	0
%define libname %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %name -d

Summary:	Program for tidying up messy HTML
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Group:		Text tools
License:	W3C License
URL:		http://tidy.sourceforge.net/
Source0:	http://tidy.sourceforge.net/src/tidy-%{version}.tar.bz2
Patch0:		tidy-20081224cvs-fix-format-errors.patch
Patch1:		tidy-20080322cvs-preserve-table-id.patch
Patch2:		tidy-20090904cvs-negative-len.patch
Requires:	%{libname} = %{epoch}:%{version}
BuildRequires:	xsltproc

%description
tidy is a program for tidying up messy html, for example, when we do 
html in vi, and we make the text italic with the <i> </i> tag some of us may
forget to end the italic text with </i>. tidy fixes this.

Install this if you need a program to help you tidy up your HTML.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%mklibname tidy 0.99

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{epoch}:%{version}
Provides:	lib%{name}-devel = %{epoch}:%{version}
Provides:	%{name}-devel = %{epoch}:%{version}
Obsoletes:	%mklibname -d tidy 0
Obsoletes:	%mklibname -d tidy 0.99

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
sh build/gnuauto/setup.sh
%configure2_5x --disable-static
%make

# generate man page
console/tidy -xml-help >  htmldoc/tidy-help.xml
console/tidy -xml-config >  htmldoc/tidy-config.xml
xsltproc -o tidy.1 htmldoc/tidy1.xsl  htmldoc/tidy-help.xml

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 tidy.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc htmldoc/*
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libtidy-%{apiver}.so.%{major}
%{_libdir}/libtidy-%{apiver}.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sat Jun 13 2015 luigiwalser <luigiwalser> 1:20090904-6.1.mga4
+ Revision: 823063
- add upstream patch to fix heap-based buffer overflow (upstream issue#217)

* Mon Oct 21 2013 umeabot <umeabot> 1:20090904-6.mga4
+ Revision: 540623
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 luigiwalser <luigiwalser> 1:20090904-5.mga4
+ Revision: 494067
- add upstream patch to fix upstream issue 2855621 (aka feature-request 347)

* Mon Jan 14 2013 umeabot <umeabot> 1:20090904-4.mga3
+ Revision: 384570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 13 2012 fwang <fwang> 1:20090904-3.mga3
+ Revision: 305204
- drop .la file

* Fri Jan 14 2011 mikala <mikala> 1:20090904-3.mga1
+ Revision: 17623
- Drop mdk macros
- imported package tidy

